Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ui.common
Class ECPCompositeFactory

    java.lang.Object
      org.eclipse.emf.ecp.ui.common.ECPCompositeFactory

    public final class ECPCompositeFactory

extends Object

Author:
  Eugen Neufeld

Method Summary
`static AddRepositoryComposite` | `getAddRepositoryComposite()`
`static AddRepositoryComposite` | `getAddRepositoryComposite(ECPProvider provider)`
`static CheckedModelClassComposite` | `getCheckedModelClassComposite(Collection<org.eclipse.emf.ecore.EPackage> ePackages)`
`static CheckedEStructuralFeatureComposite` | `getCheckedTableSelectionComposite(Object rootObject)` Creates a `CompositeProvider` for a composite displaying a table with checkboxes.
`static CheckoutProjectComposite` | `getCheckoutProjectComposite(ECPCheckoutSource checkoutSource)`
`static CreateProjectComposite` | `getCreateProjectComposite(List<ECPProvider> providers)`
`static SelectionComposite<org.eclipse.jface.viewers.TreeViewer>` | `getSelectModelClassComposite(Collection<org.eclipse.emf.ecore.EPackage> unsupportedEPackages, Collection<org.eclipse.emf.ecore.EPackage> filteredEPackages, Collection<org.eclipse.emf.ecore.EClass> filteredEClasses)`
`static SelectionComposite<org.eclipse.jface.viewers.TreeViewer>` | `getSelectModelClassComposite(ECPProject project)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAddRepositoryComposite

    public static AddRepositoryComposite getAddRepositoryComposite()

  Returns:
    a `AddRepositoryComposite`

### getAddRepositoryComposite

    public static AddRepositoryComposite getAddRepositoryComposite(ECPProvider provider)

  Parameters:
    `provider` - the provider to add a repository to.
  Returns:
    a `AddRepositoryComposite`

### getCheckoutProjectComposite

    public static CheckoutProjectComposite getCheckoutProjectComposite(ECPCheckoutSource checkoutSource)

  Parameters:
    `checkoutSource` - the source to check a project out from
  Returns:
    an `CheckoutProjectComposite` allowing to check out a project

### getCreateProjectComposite

    public static CreateProjectComposite getCreateProjectComposite(List<ECPProvider> providers)

  Parameters:
    `providers` - the providers to be considered to create a new project
  Returns:
    A `CreateProjectComposite` allowing to create a new project

### getCheckedModelClassComposite

    public static CheckedModelClassComposite getCheckedModelClassComposite(Collection<org.eclipse.emf.ecore.EPackage> ePackages)

### getSelectModelClassComposite

    public static SelectionComposite<org.eclipse.jface.viewers.TreeViewer> getSelectModelClassComposite(Collection<org.eclipse.emf.ecore.EPackage> unsupportedEPackages,
                                                                                                        Collection<org.eclipse.emf.ecore.EPackage> filteredEPackages,
                                                                                                        Collection<org.eclipse.emf.ecore.EClass> filteredEClasses)

### getSelectModelClassComposite

    public static SelectionComposite<org.eclipse.jface.viewers.TreeViewer> getSelectModelClassComposite(ECPProject project)

### getCheckedTableSelectionComposite

    public static CheckedEStructuralFeatureComposite getCheckedTableSelectionComposite(Object rootObject)

  Creates a `CompositeProvider` for a composite displaying a table with checkboxes.

  Parameters:
    `rootObject` - the viewer input
  Returns:
    the composite provider

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.